import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommissionBatchItemCreateManyPaymentInputObjectSchema as CommissionBatchItemCreateManyPaymentInputObjectSchema } from './CommissionBatchItemCreateManyPaymentInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => CommissionBatchItemCreateManyPaymentInputObjectSchema), z.lazy(() => CommissionBatchItemCreateManyPaymentInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const CommissionBatchItemCreateManyPaymentInputEnvelopeObjectSchema: z.ZodType<Prisma.CommissionBatchItemCreateManyPaymentInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemCreateManyPaymentInputEnvelope>;
export const CommissionBatchItemCreateManyPaymentInputEnvelopeObjectZodSchema = makeSchema();
